psimi25XML2Graph {RpsiXML} | R Documentation

## Convert a vector of PSI-MI 2.5 XML files into graph objects

### Description

The function `psimi25XML2Graph` take a vector of XML 2.5 files from te same data source and generates a graph object based on the type of the files.

### Usage

    psimi25XML2Graph(psimi25files, psimi25source, type = "interaction",
    directed = TRUE, ...)

### Arguments

`psimi25files` | Single file name or a vector of PSI-MI 2.5 XML file names or URLs. In case of splitted data the latter form is preferred. Different datasets or datasets from different sources should not be put into the same vector.
`psimi25source` | Source of the PSI-MI 2.5 XML file, see `psimi25Source-class`
`type` | A character string which is either "interaction" or "complex". As the value suggests, use "interaction" if the XML file contains experimental physical data, and "complex" if the file contains curated protein complex membership data.
`directed` | Logical, whehter the returned graph object should be directed or undirected
`...` | Other parameters passed to `parsePsimi25Interaction`

### Value

If type is "interaction", then a resulting psimi25Graph object is genertated on the aggregation of the XML files. Otherwise if type is "complex,", a resulting psimi25HyperGraph object is generated on the aggregate of the XML files.

### Author(s)

Jitao David Zhang, Tony Chiang

### See Also

`psimi25Source-class`, `psimi25Graph-class`, `psimi25Hypergraph-class`

### Examples

    xmlDir <- system.file("/extdata/psi25files",package="RpsiXML")

    intactxml <- file.path(xmlDir, "intact_2008_test.xml")
    intactGraph <- psimi25XML2Graph(intactxml, INTACT.PSIMI25, type="interaction")

    intactComplexxml <- file.path(xmlDir,"intact_complexSample.xml")
    intactComplexGraph <- psimi25XML2Graph(intactComplexxml, INTACT.PSIMI25, type="complex")

[Package RpsiXML version 1.0.0 Index]